
Foreman - Bug #1605

Typo thier instead of their

05/08/2012 05:09 AM - Jim Bailey

Status: Closed   

Priority: Low   

Assignee: Jim Bailey   

Category: Dashboard   

Target version: 1.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/app/views/dashboard/welcome.html.erb

I found a typo and made a patch, I realise it is probable over kill for a two character switch but I am trying to teach myself the

process.

Associated revisions

Revision 61567953 - 06/03/2012 03:10 AM - Jim Bailey

fixes #1605 - typo thier

History

#1 - 05/15/2012 11:18 PM - Brian Gupta

- Category set to Dashboard

- Assignee set to Jim Bailey

Hi Jim,

Are you familiar with Git? If so take a look at this: http://theforeman.org/projects/foreman/wiki/Contribute

You are basically going to want to commit your changes to a local git working directory (put some useful text in the commit message and include Refs

#1605 in it as well, and it will update this ticket when it is merged).

After that you are going to want to do one of two things to submit the patch.

1) rake mail_patches

2) fork the repo, create a local topic branch and then submit a pull request for review. (You'll need a github account for this bit.)

Although this isn't related to foreman, you might find this useful: 

https://github.com/ginatrapani/ThinkUp/wiki/Developer-Guide%3A-Get-the-Source-Code-from-GitHub-and-Keep-It-Updated

Although technically it's probably a bit more work, I prefer the second method, as it also teaches you github workflow.. Since a lot of projects are on

github, that's a handy thing to know.

Thanks,

Brian

#2 - 05/16/2012 12:13 AM - Brian Gupta

- Target version set to 1.0

#3 - 06/03/2012 06:16 AM - Jim Bailey

- Status changed from New to Closed

Applied in changeset 615679537771338a9febf9a0efbe1055f69eb7ae.
